/*-------------------------------------------------------------------------
 *
 * fmgr.h--
 *    Definitions for using internal procedures.
 *
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * : Gen_fmgrtab.sh.in,v 1.9 1998/01/31 05:54:57 momjian Exp $
 *
 * NOTES
 *	******************************
 *	*** DO NOT EDIT THIS FILE! ***
 *	******************************
 *
 *	It has been GENERATED by Gen_fmgrtab.sh
 *	from ../../include/catalog/pg_proc.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef	FMGR_H
#define FMGR_H

#include "postgres.h"

/*
 *	Maximum number of arguments for a built-in function.
 *
 *	XXX note that you cannot call a function with more than 8 
 *	    arguments from the user level since the catalogs only 
 *	    store 8 argument type values for type-checking ...
 */
#define	MAXFMGRARGS	9

typedef struct {
    char *data[MAXFMGRARGS];
} FmgrValues;

typedef struct {
    func_ptr	fn_addr;
    func_ptr	fn_plhandler;
    Oid		fn_oid;
    int		fn_nargs;
} FmgrInfo;

/*
 * defined in fmgr.c
 */
extern char *fmgr_c(FmgrInfo *finfo, FmgrValues *values, bool *isNull);
extern void fmgr_info(Oid procedureId, FmgrInfo *finfo);
extern char *fmgr(Oid procedureId, ... );
extern char *fmgr_ptr(FmgrInfo *finfo, ... );
extern char *fmgr_array_args(Oid procedureId, int nargs, 
			     char *args[], bool *isNull);

/*
 * defined in dfmgr.c
 */
extern func_ptr fmgr_dynamic(Oid procedureId, int *pronargs);
extern void load_file(char *filename);

/*
 *	For performance reasons, we often want to simply jump through a
 *	a function pointer (if it's valid, that is).  These calls have
 *	been macroized so we can run them through a routine that does
 *	sanity-checking (and so we can track them down more easily when
 *	we must).
 */

/* We don't make this static so fmgr_faddr() macros can access it */
FmgrInfo        *fmgr_pl_finfo;

#define fmgr_faddr(finfo) ( 	fmgr_pl_finfo = (finfo), 	(func_ptr)(finfo)->fn_addr )

#ifdef TRACE_FMGR_PTR
#define	FMGR_PTR2(FINFO, ARG1, ARG2) 	fmgr_ptr(FINFO, 2, ARG1, ARG2)
#else
#define	FMGR_PTR2(FINFO, ARG1, ARG2) ( 	((FINFO)->fn_addr) ? 		(*(fmgr_faddr(FINFO)))(ARG1, ARG2) 	: 		fmgr((FINFO)->fn_oid, ARG1, ARG2) )
#endif

/*
 *	Flags for the builtin oprrest selectivity routines.
 */
#define	SEL_CONSTANT 	1	/* constant does not vary (not a parameter) */
#define	SEL_RIGHT	2 	/* constant appears to right of operator */

#define F_BYTEAOUT 31
#define F_CHAROUT 33
#define F_NAMEIN 34
#define F_NAMEOUT 35
#define F_CHAR16IN 36
#define F_CHAR16OUT 37
#define F_INT2IN 38
#define F_INT2OUT 39
#define F_INT28IN 40
#define F_INT28OUT 41
#define F_INT4IN 42
#define F_INT4OUT 43
#define F_REGPROCIN 44
#define F_REGPROCOUT 45
#define F_TEXTIN 46
#define F_TEXTOUT 47
#define F_TIDIN 48
#define F_TIDOUT 49
#define F_XIDIN 50
#define F_XIDOUT 51
#define F_CIDIN 52
#define F_CIDOUT 53
#define F_OID8IN 54
#define F_OID8OUT 55
#define F_BOOLLT 56
#define F_BOOLGT 57
#define F_BOOLEQ 60
#define F_CHAREQ 61
#define F_NAMEEQ 62
#define F_INT2EQ 63
#define F_INT2LT 64
#define F_INT4EQ 65
#define F_INT4LT 66
#define F_TEXTEQ 67
#define F_XIDEQ 68
#define F_CIDEQ 69
#define F_CHARNE 70
#define F_CHARLE 72
#define F_CHARGT 73
#define F_CHARGE 74
#define F_CHARMUL 77
#define F_CHARDIV 78
#define F_NAMEREGEXEQ 79
#define F_BOOLNE 84
#define F_NEQSEL 102
#define F_INTLTSEL 103
#define F_INTGTSEL 104
#define F_EQJOINSEL 105
#define F_NEQJOINSEL 106
#define F_INTLTJOINSEL 107
#define F_INTGTJOINSEL 108
#define F_INT4_TEXT 112
#define F_INT2_TEXT 113
#define F_OID_TEXT 114
#define F_BOX_ABOVE 115
#define F_BOX_BELOW 116
#define F_POINT_IN 117
#define F_POINT_OUT 118
#define F_LSEG_IN 119
#define F_LSEG_OUT 120
#define F_PATH_IN 121
#define F_PATH_OUT 122
#define F_BOX_IN 123
#define F_BOX_OUT 124
#define F_BOX_OVERLAP 125
#define F_BOX_GE 126
#define F_BOX_GT 127
#define F_BOX_EQ 128
#define F_BOX_LT 129
#define F_BOX_LE 130
#define F_POINT_ABOVE 131
#define F_POINT_LEFT 132
#define F_POINT_RIGHT 133
#define F_POINT_BELOW 134
#define F_POINT_EQ 135
#define F_ON_PB 136
#define F_ON_PPATH 137
#define F_BOX_CENTER 138
#define F_AREASEL 139
#define F_AREAJOINSEL 140
#define F_INT4MUL 141
#define F_INT4FAC 142
#define F_POINTDIST 143
#define F_INT4NE 144
#define F_INT2NE 145
#define F_INT2GT 146
#define F_INT4GT 147
#define F_INT2LE 148
#define F_INT4LE 149
#define F_INT4GE 150
#define F_INT2GE 151
#define F_INT2MUL 152
#define F_INT2DIV 153
#define F_INT4DIV 154
#define F_INT2MOD 155
#define F_INT4MOD 156
#define F_TEXTNE 157
#define F_INT24EQ 158
#define F_INT42EQ 159
#define F_INT24LT 160
#define F_INT42LT 161
#define F_INT24GT 162
#define F_INT42GT 163
#define F_INT24NE 164
#define F_INT42NE 165
#define F_INT24LE 166
#define F_INT42LE 167
#define F_INT24GE 168
#define F_INT42GE 169
#define F_INT24MUL 170
#define F_INT42MUL 171
#define F_INT24DIV 172
#define F_INT42DIV 173
#define F_INT24MOD 174
#define F_INT42MOD 175
#define F_INT2PL 176
#define F_INT4PL 177
#define F_INT24PL 178
#define F_INT42PL 179
#define F_INT2MI 180
#define F_INT4MI 181
#define F_INT24MI 182
#define F_INT42MI 183
#define F_OIDEQ 184
#define F_OIDNE 185
#define F_BOX_SAME 186
#define F_BOX_CONTAIN 187
#define F_BOX_LEFT 188
#define F_BOX_OVERLEFT 189
#define F_BOX_OVERRIGHT 190
#define F_BOX_RIGHT 191
#define F_BOX_CONTAINED 192
#define F_RT_BOX_UNION 193
#define F_RT_BOX_INTER 194
#define F_RT_BOX_SIZE 195
#define F_RT_BIGBOX_SIZE 196
#define F_RT_POLY_UNION 197
#define F_RT_POLY_INTER 198
#define F_RT_POLY_SIZE 199
#define F_FLOAT4IN 200
#define F_FLOAT4OUT 201
#define F_FLOAT4MUL 202
#define F_FLOAT4DIV 203
#define F_FLOAT4PL 204
#define F_FLOAT4MI 205
#define F_FLOAT4UM 206
#define F_FLOAT4ABS 207
#define F_FLOAT4INC 208
#define F_FLOAT4LARGER 209
#define F_FLOAT4SMALLER 211
#define F_INT4UM 212
#define F_INT2UM 213
#define F_FLOAT8IN 214
#define F_FLOAT8OUT 215
#define F_FLOAT8MUL 216
#define F_FLOAT8DIV 217
#define F_FLOAT8PL 218
#define F_FLOAT8MI 219
#define F_FLOAT8UM 220
#define F_FLOAT8ABS 221
#define F_FLOAT8INC 222
#define F_FLOAT8LARGER 223
#define F_FLOAT8SMALLER 224
#define F_LSEG_CENTER 225
#define F_PATH_CENTER 226
#define F_POLY_CENTER 227
#define F_DROUND 228
#define F_DTRUNC 229
#define F_DSQRT 230
#define F_DCBRT 231
#define F_DPOW 232
#define F_DEXP 233
#define F_DLOG1 234
#define F_I2TOD 235
#define F_I2TOF 236
#define F_DTOI2 237
#define F_FTOI2 238
#define F_LINE_DISTANCE 239
#define F_NABSTIMEIN 240
#define F_NABSTIMEOUT 241
#define F_RELTIMEIN 242
#define F_RELTIMEOUT 243
#define F_TIMEPL 244
#define F_TIMEMI 245
#define F_TINTERVALIN 246
#define F_TINTERVALOUT 247
#define F_ININTERVAL 248
#define F_INTERVALREL 249
#define F_TIMENOW 250
#define F_ABSTIMEEQ 251
#define F_ABSTIMENE 252
#define F_ABSTIMELT 253
#define F_ABSTIMEGT 254
#define F_ABSTIMELE 255
#define F_ABSTIMEGE 256
#define F_RELTIMEEQ 257
#define F_RELTIMENE 258
#define F_RELTIMELT 259
#define F_RELTIMEGT 260
#define F_RELTIMELE 261
#define F_RELTIMEGE 262
#define F_INTERVALSAME 263
#define F_INTERVALCT 264
#define F_INTERVALOV 265
#define F_INTERVALLENEQ 266
#define F_INTERVALLENNE 267
#define F_INTERVALLENLT 268
#define F_INTERVALLENGT 269
#define F_INTERVALLENLE 270
#define F_INTERVALLENGE 271
#define F_INTERVALSTART 272
#define F_INTERVALEND 273
#define F_TIMEOFDAY 274
#define F_ABSTIME_FINITE 275
#define F_INT2FAC 276
#define F_INTER_SL 277
#define F_INTER_LB 278
#define F_FLOAT48MUL 279
#define F_FLOAT48DIV 280
#define F_FLOAT48PL 281
#define F_FLOAT48MI 282
#define F_FLOAT84MUL 283
#define F_FLOAT84DIV 284
#define F_FLOAT84PL 285
#define F_FLOAT84MI 286
#define F_FLOAT4EQ 287
#define F_FLOAT4NE 288
#define F_FLOAT4LT 289
#define F_FLOAT4LE 290
#define F_FLOAT4GT 291
#define F_FLOAT4GE 292
#define F_FLOAT8EQ 293
#define F_FLOAT8NE 294
#define F_FLOAT8LT 295
#define F_FLOAT8LE 296
#define F_FLOAT8GT 297
#define F_FLOAT8GE 298
#define F_FLOAT48EQ 299
#define F_FLOAT48NE 300
#define F_FLOAT48LT 301
#define F_FLOAT48LE 302
#define F_FLOAT48GT 303
#define F_FLOAT48GE 304
#define F_FLOAT84EQ 305
#define F_FLOAT84NE 306
#define F_FLOAT84LT 307
#define F_FLOAT84LE 308
#define F_FLOAT84GT 309
#define F_FLOAT84GE 310
#define F_FTOD 311
#define F_DTOF 312
#define F_I2TOI4 313
#define F_I4TOI2 314
#define F_KEYFIRSTEQ 315
#define F_I4TOD 316
#define F_DTOI4 317
#define F_I4TOF 318
#define F_FTOI4 319
#define F_RTINSERT 320
#define F_RTDELETE 321
#define F_RTGETTUPLE 322
#define F_RTBUILD 323
#define F_RTBEGINSCAN 324
#define F_RTENDSCAN 325
#define F_RTMARKPOS 326
#define F_RTRESTRPOS 327
#define F_RTRESCAN 328
#define F_BTGETTUPLE 330
#define F_BTINSERT 331
#define F_BTDELETE 332
#define F_BTBEGINSCAN 333
#define F_BTRESCAN 334
#define F_BTENDSCAN 335
#define F_BTMARKPOS 336
#define F_BTRESTRPOS 337
#define F_BTBUILD 338
#define F_POLY_SAME 339
#define F_POLY_CONTAIN 340
#define F_POLY_LEFT 341
#define F_POLY_OVERLEFT 342
#define F_POLY_OVERRIGHT 343
#define F_POLY_RIGHT 344
#define F_POLY_CONTAINED 345
#define F_POLY_OVERLAP 346
#define F_POLY_IN 347
#define F_POLY_OUT 348
#define F_BTINT2CMP 350
#define F_BTINT4CMP 351
#define F_BTINT42CMP 352
#define F_BTINT24CMP 353
#define F_BTFLOAT4CMP 354
#define F_BTFLOAT8CMP 355
#define F_BTOIDCMP 356
#define F_BTABSTIMECMP 357
#define F_BTCHARCMP 358
#define F_BTNAMECMP 359
#define F_BTTEXTCMP 360
#define F_LSEG_DISTANCE 361
#define F_LSEG_INTERPT 362
#define F_DIST_PS 363
#define F_DIST_PB 364
#define F_DIST_SB 365
#define F_CLOSE_PS 366
#define F_CLOSE_PB 367
#define F_CLOSE_SB 368
#define F_ON_PS 369
#define F_PATH_DISTANCE 370
#define F_DIST_PPATH 371
#define F_ON_SB 372
#define F_INTER_SB 373
#define F_HASHSEL 438
#define F_HASHNPAGE 439
#define F_HASHGETTUPLE 440
#define F_HASHINSERT 441
#define F_HASHDELETE 442
#define F_HASHBEGINSCAN 443
#define F_HASHRESCAN 444
#define F_HASHENDSCAN 445
#define F_HASHMARKPOS 446
#define F_HASHRESTRPOS 447
#define F_HASHBUILD 448
#define F_HASHINT2 449
#define F_HASHINT4 450
#define F_HASHFLOAT4 451
#define F_HASHFLOAT8 452
#define F_HASHOID 453
#define F_HASHCHAR 454
#define F_HASHNAME 455
#define F_HASHTEXT 456
#define F_CHAR2IN 466
#define F_CHAR4IN 467
#define F_CHAR8IN 468
#define F_CHAR2OUT 469
#define F_CHAR4OUT 470
#define F_CHAR8OUT 471
#define F_CHAR2EQ 472
#define F_CHAR4EQ 473
#define F_CHAR8EQ 474
#define F_CHAR2LT 475
#define F_CHAR4LT 476
#define F_CHAR8LT 477
#define F_CHAR2LE 478
#define F_CHAR4LE 479
#define F_CHAR8LE 480
#define F_CHAR2GT 481
#define F_CHAR4GT 482
#define F_CHAR8GT 483
#define F_CHAR2GE 484
#define F_INT44OUT 653
#define F_NAMELT 655
#define F_NAMELE 656
#define F_NAMEGT 657
#define F_NAMEGE 658
#define F_NAMENE 659
#define F_MKTINTERVAL 682
#define F_OID8EQ 683
#define F_CHAR4GE 684
#define F_CHAR8GE 685
#define F_CHAR2NE 686
#define F_CHAR4NE 687
#define F_CHAR8NE 688
#define F_BTCHAR2CMP 689
#define F_BTCHAR4CMP 690
#define F_BTCHAR8CMP 691
#define F_HASHCHAR2 692
#define F_HASHCHAR4 693
#define F_HASHCHAR8 694
#define F_CHAR8REGEXEQ 695
#define F_CHAR8REGEXNE 696
#define F_CHAR2REGEXEQ 699
#define F_GETPGUSERNAME 710
#define F_USERFNTEST 711
#define F_OIDRAND 713
#define F_OIDSRAND 715
#define F_OIDEQINT4 716
#define F_INT4EQOID 717
#define F_BYTEAGETSIZE 720
#define F_BYTEAGETBYTE 721
#define F_BYTEASETBYTE 722
#define F_BYTEAGETBIT 723
#define F_BYTEASETBIT 724
#define F_DIST_PL 725
#define F_DIST_LB 726
#define F_DIST_SL 727
#define F_DIST_CPOLY 728
#define F_POLY_DISTANCE 729
#define F_PQTEST 730
#define F_TEXT_LT 740
#define F_TEXT_LE 741
#define F_TEXT_GT 742
#define F_TEXT_GE 743
#define F_ARRAY_EQ 744
#define F_ARRAY_ASSGN 745
#define F_ARRAY_CLIP 746
#define F_ARRAY_DIMS 747
#define F_ARRAY_SET 748
#define F_ARRAY_REF 749
#define F_ARRAY_IN 750
#define F_ARRAY_OUT 751
#define F_FILENAME_IN 752
#define F_FILENAME_OUT 753
#define F_SMGRIN 760
#define F_SMGROUT 761
#define F_SMGREQ 762
#define F_SMGRNE 763
#define F_LO_IMPORT 764
#define F_LO_EXPORT 765
#define F_INT4INC 766
#define F_INT2INC 767
#define F_INT4LARGER 768
#define F_INT4SMALLER 769
#define F_INT2LARGER 770
#define F_INT2SMALLER 771
#define F_GISTSEL 772
#define F_GISTNPAGE 773
#define F_GISTGETTUPLE 774
#define F_GISTINSERT 775
#define F_GISTDELETE 776
#define F_GISTBEGINSCAN 777
#define F_GISTRESCAN 778
#define F_GISTENDSCAN 779
#define F_GISTMARKPOS 780
#define F_GISTRESTRPOS 781
#define F_GISTBUILD 782
#define F_INTERVALEQ 784
#define F_INTERVALNE 785
#define F_INTERVALLT 786
#define F_INTERVALGT 787
#define F_INTERVALLE 788
#define F_INTERVALGE 789
#define F_TEXT_OID 817
#define F_TEXT_INT2 818
#define F_TEXT_INT4 819
#define F_OIDINT2IN 820
#define F_OIDINT2OUT 821
#define F_OIDINT2LT 822
#define F_OIDINT2LE 823
#define F_OIDINT2EQ 824
#define F_OIDINT2GE 825
#define F_OIDINT2GT 826
#define F_OIDINT2NE 827
#define F_OIDINT2CMP 828
#define F_MKOIDINT2 829
#define F_CHAR4REGEXEQ 836
#define F_CHAR2REGEXNE 837
#define F_CHAR4REGEXNE 838
#define F_CASH_MUL_FLT4 846
#define F_CASH_DIV_FLT4 847
#define F_FLT4_MUL_CASH 848
#define F_TEXTPOS 849
#define F_TEXTLIKE 850
#define F_TEXTNLIKE 851
#define F_CHAR2LIKE 852
#define F_CHAR2NLIKE 853
#define F_CHAR4LIKE 854
#define F_CHAR4NLIKE 855
#define F_CHAR8LIKE 856
#define F_CHAR8NLIKE 857
#define F_NAMELIKE 858
#define F_NAMENLIKE 859
#define F_CHAR16LIKE 860
#define F_CHAR16NLIKE 861
#define F_INT4_MUL_CASH 862
#define F_INT2_MUL_CASH 863
#define F_CASH_MUL_INT4 864
#define F_CASH_DIV_INT4 865
#define F_CASH_MUL_INT2 866
#define F_CASH_DIV_INT2 867
#define F_LOWER 870
#define F_UPPER 871
#define F_INITCAP 872
#define F_LPAD 873
#define F_RPAD 874
#define F_LTRIM 875
#define F_RTRIM 876
#define F_TRANSLATE 878
#define F_BTRIM 884
#define F_CASH_IN 886
#define F_CASH_OUT 887
#define F_CASH_EQ 888
#define F_CASH_NE 889
#define F_CASH_LT 890
#define F_CASH_LE 891
#define F_CASH_GT 892
#define F_CASH_GE 893
#define F_CASH_PL 894
#define F_CASH_MI 895
#define F_CASH_MUL_FLT8 896
#define F_CASH_DIV_FLT8 897
#define F_CASHLARGER 898
#define F_CASHSMALLER 899
#define F_FLT8_MUL_CASH 919
#define F_OIDINT4IN 920
#define F_OIDINT4OUT 921
#define F_OIDINT4LT 922
#define F_OIDINT4LE 923
#define F_OIDINT4EQ 924
#define F_OIDINT4GE 925
#define F_OIDINT4GT 926
#define F_OIDINT4NE 927
#define F_OIDINT4CMP 928
#define F_MKOIDINT4 929
#define F_ISOLDPATH 936
#define F_UPGRADEPATH 937
#define F_UPGRADEPOLY 938
#define F_REVERTPOLY 939
#define F_OIDNAMEIN 940
#define F_OIDNAMEOUT 941
#define F_OIDNAMELT 942
#define F_OIDNAMELE 943
#define F_OIDNAMEEQ 944
#define F_OIDNAMEGE 945
#define F_OIDNAMEGT 946
#define F_OIDNAMENE 947
#define F_OIDNAMECMP 948
#define F_MKOIDNAME 949
#define F_ISTRUE 950
#define F_ISFALSE 951
#define F_LO_OPEN 952
#define F_LO_CLOSE 953
#define F_LOREAD 954
#define F_LOWRITE 955
#define F_LO_LSEEK 956
#define F_LO_CREAT 957
#define F_LO_TELL 958
#define F_ON_PL 959
#define F_ON_SL 960
#define F_CLOSE_PL 961
#define F_CLOSE_SL 962
#define F_CLOSE_LB 963
#define F_LO_UNLINK 964
#define F_REGPROCTOOID 972
#define F_PATH_INTER 973
#define F_BOX_AREA 975
#define F_BOX_WIDTH 976
#define F_BOX_HEIGHT 977
#define F_BOX_DISTANCE 978
#define F_BOX_INTERSECT 980
#define F_BOX_DIAGONAL 981
#define F_PATH_N_LT 982
#define F_PATH_N_GT 983
#define F_PATH_N_EQ 984
#define F_PATH_N_LE 985
#define F_PATH_N_GE 986
#define F_PATH_LENGTH 987
#define F_POINT_NE 988
#define F_POINT_VERT 989
#define F_POINT_HORIZ 990
#define F_POINT_DISTANCE 991
#define F_POINT_SLOPE 992
#define F_LSEG_CONSTRUCT 993
#define F_LSEG_INTERSECT 994
#define F_LSEG_PARALLEL 995
#define F_LSEG_PERP 996
#define F_LSEG_VERTICAL 997
#define F_LSEG_HORIZONTAL 998
#define F_LSEG_EQ 999
#define F_NULLVALUE 1029
#define F_NONNULLVALUE 1030
#define F_ACLITEMIN 1031
#define F_ACLITEMOUT 1032
#define F_ACLINSERT 1035
#define F_ACLREMOVE 1036
#define F_ACLCONTAINS 1037
#define F_SETEVAL 1038
#define F_BPCHARIN 1044
#define F_BPCHAROUT 1045
#define F_VARCHARIN 1046
#define F_VARCHAROUT 1047
#define F_BPCHAREQ 1048
#define F_BPCHARLT 1049
#define F_BPCHARLE 1050
#define F_BPCHARGT 1051
#define F_BPCHARGE 1052
#define F_BPCHARNE 1053
#define F_VARCHAREQ 1070
#define F_VARCHARLT 1071
#define F_VARCHARLE 1072
#define F_VARCHARGT 1073
#define F_VARCHARGE 1074
#define F_VARCHARNE 1075
#define F_BPCHARCMP 1078
#define F_VARCHARCMP 1079
#define F_HASHBPCHAR 1080
#define F_HASHVARCHAR 1081
#define F_DATE_IN 1084
#define F_DATE_OUT 1085
#define F_DATE_EQ 1086
#define F_DATE_LT 1087
#define F_DATE_LE 1088
#define F_DATE_GT 1089
#define F_DATE_GE 1090
#define F_DATE_NE 1091
#define F_DATE_CMP 1092
#define F_TIME_LT 1102
#define F_TIME_LE 1103
#define F_TIME_GT 1104
#define F_TIME_GE 1105
#define F_TIME_NE 1106
#define F_TIME_CMP 1107
#define F_DATE_LARGER 1138
#define F_DATE_SMALLER 1139
#define F_DATE_MI 1140
#define F_DATE_PLI 1141
#define F_DATE_MII 1142
#define F_TIME_IN 1143
#define F_TIME_OUT 1144
#define F_TIME_EQ 1145
#define F_CIRCLE_ADD_PT 1146
#define F_CIRCLE_SUB_PT 1147
#define F_CIRCLE_MUL_PT 1148
#define F_CIRCLE_DIV_PT 1149
#define F_DATETIME_IN 1150
#define F_DATETIME_OUT 1151
#define F_DATETIME_EQ 1152
#define F_DATETIME_NE 1153
#define F_DATETIME_LT 1154
#define F_DATETIME_LE 1155
#define F_DATETIME_GE 1156
#define F_DATETIME_GT 1157
#define F_DATETIME_FINITE 1158
#define F_DATETIME_ZONE 1159
#define F_TIMESPAN_IN 1160
#define F_TIMESPAN_OUT 1161
#define F_TIMESPAN_EQ 1162
#define F_TIMESPAN_NE 1163
#define F_TIMESPAN_LT 1164
#define F_TIMESPAN_LE 1165
#define F_TIMESPAN_GE 1166
#define F_TIMESPAN_GT 1167
#define F_TIMESPAN_UM 1168
#define F_TIMESPAN_PL 1169
#define F_TIMESPAN_MI 1170
#define F_DATETIME_PART 1171
#define F_TIMESPAN_PART 1172
#define F_ABSTIME_DATETIME 1173
#define F_DATE_DATETIME 1174
#define F_TIMESTAMP_DATETIME 1175
#define F_DATETIME_DATETIME 1176
#define F_RELTIME_TIMESPAN 1177
#define F_DATETIME_DATE 1178
#define F_ABSTIME_DATE 1179
#define F_DATETIME_ABSTIME 1180
#define F_DATETIME_MI 1188
#define F_DATETIME_PL_SPAN 1189
#define F_DATETIME_MI_SPAN 1190
#define F_TEXT_DATETIME 1191
#define F_DATETIME_TEXT 1192
#define F_TIMESPAN_TEXT 1193
#define F_TIMESPAN_RELTIME 1194
#define F_DATETIME_SMALLER 1195
#define F_DATETIME_LARGER 1196
#define F_TIMESPAN_SMALLER 1197
#define F_TIMESPAN_LARGER 1198
#define F_DATETIME_AGE 1199
#define F_INT42RELTIME 1200
#define F_DATETIME_TRUNC 1217
#define F_TIMESPAN_TRUNC 1218
#define F_CHAR16ICREGEXEQ 1236
#define F_CHAR16ICREGEXNE 1237
#define F_TEXTICREGEXEQ 1238
#define F_TEXTICREGEXNE 1239
#define F_NAMEICREGEXEQ 1240
#define F_NAMEICREGEXNE 1241
#define F_BOOLIN 1242
#define F_BOOLOUT 1243
#define F_BYTEAIN 1244
#define F_CHARIN 1245
#define F_CHARLT 1246
#define F_CHARPL 1248
#define F_CHARMI 1250
#define F_BPCHARLEN 1251
#define F_NAMEREGEXNE 1252
#define F_VARCHARLEN 1253
#define F_TEXTREGEXEQ 1254
#define F_TEXTREGEXNE 1256
#define F_TEXTLEN 1257
#define F_TEXTCAT 1258
#define F_TEXT_TIMESPAN 1263
#define F_RTSEL 1265
#define F_RTNPAGE 1266
#define F_BTREESEL 1268
#define F_BTREENPAGE 1270
#define F_TIMESPAN_FINITE 1271
#define F_EQSEL 1272
#define F_CASH_WORDS_OUT 1273
#define F_BTCHAR16CMP 1274
#define F_CHAR16EQ 1275
#define F_CHAR16LT 1276
#define F_CHAR16LE 1277
#define F_CHAR16GT 1278
#define F_CHAR16GE 1279
#define F_CHAR16NE 1280
#define F_HASHCHAR16 1281
#define F_INT4NOTIN 1285
#define F_OIDNOTIN 1286
#define F_INT44IN 1287
#define F_CHAR16REGEXEQ 1288
#define F_CHAR16REGEXNE 1289
#define F_CHAR2ICREGEXEQ 1290
#define F_CHAR2ICREGEXNE 1291
#define F_CHAR4ICREGEXEQ 1292
#define F_CHAR4ICREGEXNE 1293
#define F_CHAR8ICREGEXEQ 1294
#define F_CHAR8ICREGEXNE 1295
#define F_TIMESTAMP_IN 1297
#define F_TIMESTAMP_OUT 1298
#define F_NOW 1299
#define F_TIMESTAMPEQ 1306
#define F_TIMESTAMPNE 1307
#define F_TIMESTAMPLT 1308
#define F_TIMESTAMPGT 1309
#define F_TIMESTAMPLE 1310
#define F_TIMESTAMPGE 1311
#define F_DATETIME_CMP 1314
#define F_TIMESPAN_CMP 1315
#define F_DATETIME_TIME 1316
#define F_NEXTVAL 1317
#define F_DATETIME_TIMESTAMP 1318
#define F_CURRVAL 1319
#define F_TIMESPAN_DIV 1326
#define F_OID8TYPES 1349
#define F_BOX 1421
#define F_BOX_ADD 1422
#define F_BOX_SUB 1423
#define F_BOX_MUL 1424
#define F_BOX_DIV 1425
#define F_PATH_CONTAIN_PT 1426
#define F_PT_CONTAINED_PATH 1427
#define F_POLY_CONTAIN_PT 1428
#define F_PT_CONTAINED_POLY 1429
#define F_PATH_ISCLOSED 1430
#define F_PATH_ISOPEN 1431
#define F_PATH_NPOINTS 1432
#define F_PATH_CLOSE 1433
#define F_PATH_OPEN 1434
#define F_PATH_ADD 1435
#define F_PATH_ADD_PT 1436
#define F_PATH_SUB_PT 1437
#define F_PATH_MUL_PT 1438
#define F_PATH_DIV_PT 1439
#define F_POINT 1440
#define F_POINT_ADD 1441
#define F_POINT_SUB 1442
#define F_POINT_MUL 1443
#define F_POINT_DIV 1444
#define F_POLY_NPOINTS 1445
#define F_POLY_BOX 1446
#define F_POLY_PATH 1447
#define F_BOX_POLY 1448
#define F_PATH_POLY 1449
#define F_CIRCLE_IN 1450
#define F_CIRCLE_OUT 1451
#define F_CIRCLE_SAME 1452
#define F_CIRCLE_CONTAIN 1453
#define F_CIRCLE_LEFT 1454
#define F_CIRCLE_OVERLEFT 1455
#define F_CIRCLE_OVERRIGHT 1456
#define F_CIRCLE_RIGHT 1457
#define F_CIRCLE_CONTAINED 1458
#define F_CIRCLE_OVERLAP 1459
#define F_CIRCLE_BELOW 1460
#define F_CIRCLE_ABOVE 1461
#define F_CIRCLE_EQ 1462
#define F_CIRCLE_NE 1463
#define F_CIRCLE_LT 1464
#define F_CIRCLE_GT 1465
#define F_CIRCLE_LE 1466
#define F_CIRCLE_GE 1467
#define F_CIRCLE_AREA 1468
#define F_CIRCLE_DIAMETER 1469
#define F_CIRCLE_RADIUS 1470
#define F_CIRCLE_DISTANCE 1471
#define F_CIRCLE_CENTER 1472
#define F_CIRCLE 1473
#define F_POLY_CIRCLE 1474
#define F_CIRCLE_POLY 1475
#define F_DIST_PC 1476
#define F_CIRCLE_CONTAIN_PT 1477
#define F_PT_CONTAINED_CIRCLE 1478
#define F_BOX_CIRCLE 1479
#define F_CIRCLE_BOX 1480
#define F_TEXT_SUBSTR 1481
#define F_LSEG_NE 1482
#define F_LSEG_LT 1483
#define F_LSEG_LE 1484
#define F_LSEG_GT 1485
#define F_LSEG_GE 1486
#define F_LSEG_LENGTH 1487
#define F_CLOSE_LS 1488
#define F_CLOSE_LSEG 1489

#endif	/* FMGR_H */
